| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Control.Arrow.ListArrow |
Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Description
Implementation of pure list arrows
Synopsis
newtype LA a b = LA {
runLA :: a -> [b]
}
fromLA :: ArrowList a => LA b c -> a b c
Documentation
newtype LA a b | Source
pure list arrow data type
Constructors
LA |
runLA :: a -> [b] |
Instances
Arrow LA
ArrowZero LA
ArrowPlus LA
ArrowChoice LA
ArrowApply LA
Category LA
ArrowNF LA
ArrowList LA
ArrowIf LA
ArrowTree LA
ArrowDTD LA
ArrowXml LA
fromLA :: ArrowList a => LA b c -> a b c | Source
conversion of pure list arrows into other possibly more complex list arrows
Produced by Haddock version 2.4.2